log using PandP_descgraphs1, text replace

set memory 200000

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu96wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
save temp, replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu93wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp, replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu92wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp,replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu91wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp,replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu90wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp,replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu88wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp,replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu87wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp,replace

use c:\lara\papers\dynamic\child\duration\mar02\eriu\kids\keriu86wb
keep if intmon==4
keep date mcaid priv ins weight sunique mnum
append using temp
save temp,replace


keep date mcaid priv ins weight sunique mnum

gen noins=0
replace noins=1 if ins==1

sort sunique mnum
by sunique: gen ins_unins=(ins==1 & ins[_n-1]~=1)
by sunique: replace ins_unins=. if _n==1
by sunique: gen unins_ins=(ins~=1 & ins[_n-1]==1)
by sunique: replace unins_ins=. if _n==1

save temp.dta, replace

sort date
collapse (mean) mcaid priv noins ins_unins unins_ins [aw=weight], by(date)
save sipp_mean_ins_weight,replace

gen sdate=string(date) if date<200000
gen syear=substr(sdate,1,2)
gen smon=substr(sdate,3,2)

destring syear smon, generate(year month) 
replace year=year+1900

gen sdate2000=string(date) if date>200000
gen syear2000=substr(sdate2000,1,4)
gen smon2000=substr(sdate2000,5,2)

destring syear2000 smon2000, generate(year2000 month2000)
replace year=year2000 if year==. 
replace month=month2000 if month==.

summ

drop syear smon sdate syear2000 smon2000 year2000 month2000 sdate2000

summ

gen newdate=ym(year, month)
list in 1/20
format newdate %tm
list in 1/20

tsset newdate

summ

# delimit ;
twoway scatter mcaid newdate ||lowess mcaid newdate, bwidth(.4) title("Fraction
with Public Insurance (weighted data)") ytitle("Medicaid Fraction") xtitle("time") legend(label (1
"Medicaid")
label(2 "smoothed Medicaid")) ;
graph save wmcaid.gph,replace;

twoway scatter priv newdate ||lowess priv newdate, bwidth(.4) title("Fraction
with Private Insurance (weighted data)") ytitle("Private Insurance Fraction") xtitle("time")
legend(label (1 "private insurance") label(2 "smoothed private insurance"));
graph save wpriv.gph,replace;

twoway scatter noins newdate ||lowess noins newdate, bwidth(.4) title("Fraction
Uninsured (weighted data)") ytitle("Uninsured Fraction") xtitle("time") legend(label (1
"uninsured") label(2 "smoothed uninsured")) ;
graph save wnoins.gph,replace;

twoway scatter unins_ins newdate ||lowess unins_ins newdate, bwidth(.4) title("Rate
of Uninsured to Insured Transitions (weighted data)") ytitle("Insurance Entry Rate")
xtitle("time") legend(label (1 "entry rate") label(2 "smoothed entry rate")) ;
graph save wentry.gph,replace;

twoway scatter ins_unins newdate ||lowess ins_unins newdate, bwidth(.4) title("Rate
of Insured to Uninsured Transitions (weighted data)") ytitle("Insurance Exit Rate") xtitle("time")
legend(label (1 "exit rate") label(2 "smoothed exit rate"));
graph save wexit.gph,replace;

save weighted.dta, replace;


twoway scatter noins newdate ||lowess noins newdate, bwidth(.4) title("Fraction
Uninsured (weighted data)") ytitle("Uninsured Fraction") xtitle("time") legend(label (1
"uninsured") label(2 "smoothed uninsured")) ;

*shorter version: just try smoothed, entry and exit together;

twoway (lowess mcaid newdate, bwidth(0.4) yaxis(1) lpattern(solid))
(lowess noins newdate, bwidth(0.4) yaxis(1) lpattern(dash))
(lowess priv newdate, bwidth(0.4) yaxis(2) lpattern(dash_dot)),
ytitle(Fraction with public or no insurance, axis(1) ) ytitle(Fraction with private insurance, axis(2))
xtitle(Time) title(Figure 1: Insurance Coverage of Children)
yscale(range(.1 .25) axis(1)) yscale(range(.65 .8) axis(2))
ylabel(.1(.05).25, axis(1))
legend(label (1 "Public insurance") label (2 "Uninsured") 
label (3 "Private insurance"));
graph save NEWPandP_allinone.gph,replace;

/*
twoway (scatter mcaid newdate, yaxis(1)) (lowess mcaid newdate, bwidth(0.4) yaxis(1))
(scatter priv newdate, yaxis(2) msymbol(Oh)) (lowess priv newdate, bwidth(0.4) yaxis(2)),
ytitle(Fraction with public insurance, axis(1) ) ytitle(Fraction with private insurance, axis(2))
xtitle(Time) title(Insurance Coverage of Children)
yscale(range(.1 .25) axis(1)) yscale(range(.65 .8) axis(2))
ylabel(.1(.05).25, axis(1))
legend(label (1 "Public insurance") label (2 "Smoothed public insurance")
label (3 "Private insurance") label (4 "Smoothed private insurance") );
graph save PandP_pubpriv.gph,replace;

twoway (scatter noins newdate) (lowess noins newdate, bwidth(0.4) ),
ytitle(Fraction with no insurance) 
xtitle(Time) title(Fraction of Children Uninsured)
yscale(range(.1 .25)) ylabel(.1(.05).25)
legend(label (1 "Uninsured") label (2 "Smoothed uninsured"));
graph save PandP_none.gph,replace;
*/

twoway (scatter unins_ins newdate) (lowess unins_ins newdate, bwidth(0.4) lpattern(solid))
(scatter ins_unins newdate) (lowess ins_unins newdate, bwidth(.4) lpattern(dash)), 
title("Rate of Insurance Transitions") ytitle("Pr transition in month")
xtitle("time") yscale(range(.02 .06)) legend(label (1 "entry rate") label(2 "smoothed entry rate") 
label(3 "exit rate") label(4 "smoothed exit rate"));
graph save wentryexit.gph,replace;

twoway (lowess unins_ins newdate, bwidth(0.4) lpattern(solid)) (lowess ins_unins newdate, bwidth(.4) lpattern(dash)),
title("Figure 2: Rate of Insurance Transitions") ytitle("Pr transition in month") xtitle("time") ylabel(.02 (.01) .06)
legend(label (1 "Smoothed entry rate") label(2 "Smoothed exit rate"));
graph save wentryexitsmoothed.gph,replace;


