options linesize=80 nocenter pagesize=66;
*adisab863.sas: Adult disability information for 1986 from topical module
 wave 3;
*Date: 07/14/03;

libname disab '';

/* filename in1 PIPE 'gunzip -c ~ldshore/disk2/sipp/1986/da9319tm.recwave3.gz'; */
filename in1 'c:\SIPP_data\sipp86rt3.dat';

*Adult disability;
Data adults;
infile in1 lrecl=5949 recfm=f missover;
input
@6	PPID		9.
@15	ROT		1.
@2011   PPMIS           1.
@2012	PPENTRY		2.
@2014	PPPNUM		3.
@5789	TM8400		1.
@5791	TM8404		1.
@5804	TM8422		1.
@5817	TM8440		1.
@5833	TM8462		1.
@5846	TM8480		1.
@5867	TM8498		1.;

if (TM8400=1) then funclim=1;
else funclim=0;


*recode TM8462 no=3 to be no=0 and yes=2 to be yes=1 so can sum variables
 to obtain number of limitations;
if TM8462=2 then TM8462=1;
else if TM8462=3 then TM8462=0;


*recode no=2 to be no=0 so can sum variables to obtain number of limitations;
array disvars{5} TM8404 TM8422 TM8440 TM8480 TM8498;
do i=1 to 5;
    if disvars{i}>1 then disvars{i}=0;
end;

sumvar= (TM8404 + TM8422 + TM8440 + TM8462 + TM8480 + TM8498);

if (sumvar>1) then plus2lim=1;
else plus2lim=0;


if (plus2lim=0) and (funclim=1) then onelim=1;
else onelim=0;

if (TM8404=1) then adllim=1;
else adllim=0;

if (adllim=0) and (funclim=1)  
 then iadllim=1;
else iadllim=0;

*define the broadest definition of disability, following Powers
 and McNeil;
if (funclim=1 or plus2lim=1 or onelim=1 or
 adllim=1 or iadllim=1) then adisab=1;
else adisab=0;

*in this survey year, all disabilities detected are severe;
if (TM8400=1 or TM8404=1 or TM8422=1 or TM8440=1 or TM8462=1 or
 TM8480=1 or TM8498=1) then sevlim=1;
else sevlim=0;


syear='86';
id1='000000000';
id1=PPID;
id2='00';
id2=PPENTRY;
id3='000';
id3=PPPNUM;
sunique=syear||id1||id2||id3;


proc means;
proc freq;
tables funclim*adllim*iadllim;
tables sevlim*adisab;

data disab.adisab86;
set adults;
if (ppmis = 1);
keep PPID ROT PPENTRY PPPNUM funclim 
plus2lim onelim adllim iadllim adisab sevlim sunique;

run;



