options linesize=80 nocenter pagesize=66;
*adisab876.sas: Adult disability information for 1987 from topical module
 wave 6;
*Date: 07/14/03;

libname disab '';

/* filename in1 PIPE 'gunzip -c ~ldshore/disk2/sipp/1987/da9365tm.recwave6.gz'; */
filename in1 'c:\SIPP_data\sipp87rt6.dat';

*Adult disability;
Data adults;
infile in1 lrecl=6153 recfm=f missover;

input
@6	PPID		9.
@15	ROT		1.
@2011   PPMIS           1.
@2012	PPENTRY		2.
@2014	PPPNUM		3.
@5939	TM8500		1.
@5941	TM8504		1.
@5954	TM8522		1.
@5967	TM8540		1.
@5983	TM8562		1.
@5996	TM8580		1.
@6015	TM8602		1.;


if (TM8500=1) then funclim=1;
else funclim=0;


*recode TM8562 no=3 to be no=0 and yes=2 to be yes=1 so can sum variables
 to obtain number of limitations;
if TM8562=2 then TM8562=1;
else if TM8562=3 then TM8562=0;


*recode no=2 to be no=0 so can sum variables to obtain number of limitations;
array disvars{5} TM8504 TM8522 TM8540 TM8580 TM8602;
do i=1 to 5;
    if disvars{i}>1 then disvars{i}=0;
end;

sumvar= (TM8504 + TM8522 + TM8540 + TM8562 + TM8580 + TM8602);

if (sumvar>1) then plus2lim=1;
else plus2lim=0;


if (plus2lim=0) and (funclim=1) then onelim=1;
else onelim=0;

if (TM8504=1) then adllim=1;
else adllim=0;

if (adllim=0) and (funclim=1)  
 then iadllim=1;
else iadllim=0;

*define the broadest definition of disability, following Powers
 and McNeil;
if (funclim=1 or plus2lim=1 or onelim=1 or
 adllim=1 or iadllim=1) then adisab=1;
else adisab=0;

*in this survey year, all disabilities detected are severe;
if (TM8500=1 or TM8504=1 or TM8522=1 or TM8540=1 or TM8562=1 or 
 TM8580=1 or TM8602=1) then sevlim=1;
else sevlim=0;

syear='87';
id1='000000000';
id1=PPID;
id2='00';
id2=PPENTRY;
id3='000';
id3=PPPNUM;
sunique=syear||id1||id2||id3;

proc means;
proc freq;
tables adllim*iadllim;
tables sevlim*adisab;

data disab.adisab87;
set adults;
if (ppmis = 1);
keep PPID ROT PPENTRY PPPNUM funclim 
plus2lim onelim adllim iadllim adisab sevlim sunique;

run;


