options linesize=80 nocenter pagesize=66;
*adisab903.sas: Adult disability information for 1990 from topical module
 wave 3;
*Note that there is no PPMIS code in this topical module, even though 
 there should be according to the Users' Guide;
*Date: 07/14/03;

libname disab '';

/* filename in1 PIPE 'gunzip -c ~ldshore/disk2/sipp/1990/da9722tm.wave3mic.gz'; */
filename in1 'c:\SIPP_data\sipp90t3.dat';

*Adult disability;
Data adults;
infile in1 lrecl=1052 missover;

input
@6   PPID      9.
@15  ROT       1.
@25  PPENTRY        2.
@27  PPPNUM         3.
@732 TM8806         1.
@733 TM8808         1.
@734 TM8810         1.
@735 TM8812         1.
@736 TM8814         1.
@737 TM8816         1.
@738 TM8818         1.
@739 TM8820         1.
@740 TM8822         1.
@741 TM8824         1.
@742 TM8826         1.
@743 TM8828         1.
@744 TM8830         1.
@745 TM8832         1.
@746 TM8834         1.
@747 TM8836         1.
@748 TM8838         1.
@749 TM8840         1.
@750 TM8842         1.
@751 TM8844         1.
@752 TM8846         1.
@753 TM8848         1.
@754 TM8850         1.
@755 TM8852         1.
@756 TM8854         1.
@757 TM8856         1.
@758 TM8858         1.
@759 TM8860		  1.	
@760 TM8862         1.
@761 TM8864         1.
@762 TM8866         1.
@763 TM8868         1.
@764 TM8870         1.
@765 TM8871         1.
@766 TM8872         1.
@767 TM8873         1.
@807 TM8918         1.
@808 TM8920         1.
@810 TM8924         1.
@811 TM8926         1.
@812 TM8928         1.
@915 TM9024         1.;

if (TM8806=1 or TM8810=1 or TM8814=1 
 or TM8818=1 or TM8822=1 or TM8826=1 
 or TM8830=1 or TM8834=1 or TM8838=1 
 or TM8842=1 or TM8846=1 or TM8850=1 
 or TM8854=1 or TM8858=1 or TM8862=1 
 or TM8866=1 or TM8870=1 or TM8871=1
 or TM8918=1 or TM8920=1
 or TM8926=1) then funclim=1;
else funclim=0;


if (TM8808=1 or TM8812=2 or TM8816=2 or TM8820=2 or TM8824=2 or
TM8828=2 or TM8832=2 or TM8836=2 or TM8840=1 or TM8844=1 or TM8848=1 or
TM8852=1 or TM8856=1 or TM8860=1 or TM8864=1 or TM8868=1 or TM8872=1 or 
TM8873=1 or TM8924=1 or TM8928=1) then sevlim=1;
else sevlim=0; 


if (sevlim=0) and (funclim=1) then modlim=1;
else modlim=0;

*recode no=2 to be no=0 so can sum variables to obtain number of limitations;
array disvars{20} TM8806 TM8810 TM8814 TM8818 TM8822 TM8826 TM8830
 TM8834 TM8838 TM8842 TM8846 TM8850 TM8854 TM8858 TM8862 TM8866 
 TM8870 TM8871 TM8920 TM8926;
do i=1 to 20;
    if disvars{i}>1 then disvars{i}=0;
end;

sumvar= (TM8806 + TM8810 + TM8814 + TM8818 + TM8822 + TM8826 + TM8830 
+ TM8834 + TM8838 + TM8842 + TM8846 + TM8850 + TM8854 + TM8858 
+ TM8862 + TM8866 + TM8870 + TM8871);

if (sumvar>1) then plus2lim=1;
else plus2lim=0;


if (plus2lim=0) and (funclim=1) then onelim=1;
else onelim=0;

if (TM8810=1 or TM8814=1 or TM8818=1 or TM8838=1 or TM8846=1 
 or TM8850=1 or TM8854=1 or TM8858=1 or TM8862=1) then adllim=1;
else adllim=0;

if (adllim=0) and (funclim=1)  and (tm8918 ne 1 and tm8920 ne 1 and tm8926 ne 1)
 then iadllim=1;
else iadllim=0;


if (TM8918=1 or TM8920=1) then worklim=1;
else worklim=0;

if worklim=0 and funclim=1 then notwork=1;
else notwork=0;

*define the broadest definition of disability, following Powers
 and McNeil;
if (funclim=1 or sevlim=1 or modlim=1 or plus2lim=1 or onelim=1 or
 adllim=1 or iadllim=1 or worklim=1) then adisab=1;
else adisab=0;


syear='90';
id1='000000000';
id1=PPID;
id2='00';
id2=PPENTRY;
id3='000';
id3=PPPNUM;
sunique=syear||id1||id2||id3;

proc means;

proc freq;
tables adllim*iadllim*worklim;

data disab.adisab90;
set adults;
keep PPID ROT PPENTRY PPPNUM TM9024 funclim sevlim modlim 
 plus2lim onelim adllim iadllim worklim adisab sunique;

run;





