options linesize=80 nocenter pagesize=66;
*adisab913.sas: Adult disability information for 1991 from topical module
 wave 3;
*Note that there is no PPMIS code in this topical module, even though 
 there should be according to the Users' Guide;
*Date: 09/20/02;

libname disab '';

/* filename in1 PIPE 'gunzip -c ~ldshore/disk2/sipp/1991/da9855tm.wave3mic.gz'; */
filename in1 'c:\SIPP_data\sipp91t3.dat';

*Adult disability;
Data adults;
infile in1 lrecl=1057  missover;

input
@6   PPID      9.
@15  ROT       1.
@25  PPENTRY        2.
@27  PPPNUM         3.
@740 TM8806         1.
@741 TM8808         1.
@742 TM8810         1.
@743 TM8812         1.
@744 TM8814         1.
@745 TM8816         1.
@746 TM8818         1.
@747 TM8820         1.
@748 TM8822         1.
@749 TM8824         1.
@750 TM8826         1.
@751 TM8828         1.
@752 TM8830         1.
@753 TM8832         1.
@754 TM8834         1.
@755 TM8836         1.
@756 TM8838         1.
@757 TM8839         1.
@758 TM8840         1.
@759 TM8841         1.
@760 TM8842         1.
@761 TM8843         1.
@762 TM8844         1.
@763 TM8845         1.
@764 TM8846         1.
@765 TM8847         1.
@766 TM8848         1.
@767 TM8849         1.
@768 TM8850         1.
@769 TM8851         1.
@770 TM8852         1.
@771 TM8853         1.
@772 TM8854         1.
@773 TM8855         1.
@774 TM8856         1.
@775 TM8857         1.
@776 TM8858         1.
@777 TM8859         1.
@818 TM8918         1.
@819 TM8920         1.
@821 TM8924         1.
@822 TM8926         1.
@823 TM8928         1.
@926 TM9024         1.;

if (TM8806=1 or TM8810=1 or TM8814=1 
 or TM8818=1 or TM8822=1 or TM8826=1 
 or TM8830=1 or TM8834=1 or TM8838=1 
 or TM8840=1 or TM8842=1 or TM8844=1
 or TM8846=1 or TM8848=1 or TM8850=1 
 or TM8852=1 or TM8854=1 or TM8856=1 
 or TM8858=1 or TM8918=1 or TM8920=1
 or TM8926=1) then funclim=1;
else funclim=0;


if (TM8808=1 or TM8812=2 or TM8816=2 or TM8820=2 or TM8824=2 or
 TM8828=2 or TM8832=2 or TM8836=2 or TM8839=1 or TM8841=1 or TM8843=1 or
 TM8845=1 or TM8847=1 or TM8849=1 or TM8851=1 or TM8853=1 or TM8855=1 or
 TM8857=1 or TM8859=1 or TM8924=1 or TM8928=1) then sevlim=1;
else sevlim=0; 


if (sevlim=0) and (funclim=1) then modlim=1;
else modlim=0;

*recode no=2 to be no=0 so can sum variables to obtain number of limitations;
array disvars{21} TM8806 TM8810 TM8814 TM8818 TM8822 TM8826 TM8830
 TM8834 TM8838 TM8840 TM8842 TM8844 TM8846 TM8848 TM8850 TM8852
 TM8854 TM8856 TM8858 TM8920 TM8926;
do i=1 to 21;
    if disvars{i}>1 then disvars{i}=0;
end;

sumvar= (TM8806 + TM8810 + TM8814 + TM8818 + TM8822 + TM8826 + TM8830 
+ TM8834 + TM8838 + TM8840 + TM8842 + TM8844 + TM8846 + TM8848 
+ TM8850 + TM8852 + TM8854 + TM8856 + TM8858);

if (sumvar>1) then plus2lim=1;
else plus2lim=0;


if (plus2lim=0) and (funclim=1) then onelim=1;
else onelim=0;

if (TM8810=1 or TM8814=1 or TM8818=1 or TM8838=1 or TM8842=1 
 or TM8844=1 or TM8846=1 or TM8850=1 or TM8852=1) then adllim=1;
else adllim=0;

if (adllim=0) and (funclim=1)  and (tm8918 ne 1 and tm8920 ne 1 and tm8926 ne 1)
 then iadllim=1;
else iadllim=0;

if (TM8918=1 or TM8920=1) then worklim=1;
else worklim=0;

if worklim=0 and funclim=1 then notwork=1;
else notwork=0;

*define the broadest definition of disability, following Powers
 and McNeil;
if (funclim=1 or sevlim=1 or modlim=1 or plus2lim=1 or onelim=1 or
 adllim=1 or iadllim=1 or worklim=1) then adisab=1;
else adisab=0;


syear='91';
id1='000000000';
id1=PPID;
id2='00';
id2=PPENTRY;
id3='000';
id3=PPPNUM;
sunique=syear||id1||id2||id3;

proc means;


proc freq;
tables adllim*iadllim*worklim;

data disab.adisab91;
set adults;
keep PPID ROT PPENTRY PPPNUM TM9024 funclim sevlim modlim 
 plus2lim onelim adllim iadllim worklim adisab sunique;

run;
