options linesize=80 nocenter pagesize=66;
*adisab933.sas: Adult disability information for 1993 from topical module
 wave 3;
*Date: 09/20/02;

*options obs=100;

libname disab '';

/* filename in1 PIPE 'gunzip -c ~ldshore/disk2/sipp/1993/da6886tm.wave3.gz'; */
filename in1 'c:\SIPP_data\sipp93t3.dat';

*Adult disability;
Data adults;
infile in1 lrecl=1265  missover;

input
@6   PPID      9.
@15  ROT       1.
@29  PPMIS     1.
@30  PPENTRY        2.
@32  PPPNUM         3.
@48  AGE            3.
@948 TM8806         1.
@949 TM8808         1.
@950 TM8810         1.
@951 TM8812         1.
@952 TM8814         1.
@953 TM8816         1.
@954 TM8818         1.
@955 TM8820         1.
@956 TM8822         1.
@957 TM8824         1.
@958 TM8826         1.
@959 TM8828         1.
@960 TM8830         1.
@961 TM8832         1.
@962 TM8834         1.
@963 TM8836         1.
@964 TM8838         1.
@965 TM8839         1.
@966 TM8840         1.
@967 TM8841         1.
@968 TM8842         1.
@969 TM8843         1.
@970 TM8844         1.
@971 TM8845         1.
@972 TM8846         1.
@973 TM8847         1.
@974 TM8848         1.
@975 TM8849         1.
@976 TM8850         1.
@977 TM8851         1.
@978 TM8852         1.
@979 TM8853         1.
@980 TM8854         1.
@981 TM8855         1.
@982 TM8856         1.
@983 TM8857         1.
@984 TM8858         1.
@985 TM8859         1.
@1026     TM8918         1.
@1027     TM8920         1.
@1029     TM8924         1.
@1030     TM8926         1.
@1031     TM8928         1.
@1135     TM9024         1.;

if (TM8806=1 or TM8810=1 or TM8814=1
 or TM8818=1 or TM8822=1 or TM8826=1
 or TM8830=1 or TM8834=1 or TM8838=1
 or TM8840=1 or TM8842=1 or TM8844=1
 or TM8846=1 or TM8848=1 or TM8850=1
 or TM8852=1 or TM8854=1 or TM8856=1
 or TM8858=1 or TM8918=1 or TM8920=1 
 or TM8926=1) then funclim=1;
else funclim=0;

if (TM8808=1 or TM8812=2 or TM8816=2 or TM8820=2 or TM8824=2 or
 TM8828=2 or TM8832=2 or TM8836=2 or TM8839=1 or TM8841=1 or TM8843=1 or
 TM8845=1 or TM8847=1 or TM8849=1 or TM8851=1 or TM8853=1 or TM8855=1 or
 TM8857=1 or TM8859=1 or TM8924=1 or TM8928=1) then sevlim=1;
else sevlim=0;

if (sevlim=0) and (funclim=1) then modlim=1;
else modlim=0;

*recode no=2 to be no=0 so can sum variables to obtain number of limitations;
array disvars{21} TM8806 TM8810 TM8814 TM8818 TM8822 TM8826 TM8830
 TM8834 TM8838 TM8840 TM8842 TM8844 TM8846 TM8848 TM8850 TM8852
 TM8854 TM8856 TM8858 TM8920 TM8926;
do i=1 to 21;
    if disvars{i}>1 then disvars{i}=0;
end;

sumvar= (TM8806 + TM8810 + TM8814 + TM8818 + TM8822 + TM8826 + TM8830 
+ TM8834 + TM8838 + TM8840 + TM8842 + TM8844 + TM8846 + TM8848 
+ TM8850 + TM8852 + TM8854 + TM8856 + TM8858);

if (sumvar>1) then plus2lim=1;
else plus2lim=0;


if (plus2lim=0) and (funclim=1) then onelim=1;
else onelim=0;

if (TM8810=1 or TM8814=1 or TM8818=1 or TM8838=1 or TM8842=1 
 or TM8844=1 or TM8846=1 or TM8850=1 or TM8852=1) then adllim=1;
else adllim=0;

if (adllim=0) and (funclim=1)  and (tm8918 ne 1 and tm8920 ne 1 and tm8926 ne 1)
 then iadllim=1;
else iadllim=0;

if (TM8918=1 or TM8920=1) then worklim=1;
else worklim=0;

if worklim=0 and funclim=1 then notwork=1;
else notwork=0;

*define the broadest definition of disability, following Powers
 and McNeil;
if (funclim=1 or sevlim=1 or modlim=1 or plus2lim=1 or onelim=1 or
 adllim=1 or iadllim=1 or worklim=1) then adisab=1;
else adisab=0;



syear='93';
id1='000000000';
id1=PPID;
id2='00';
id2=PPENTRY;
id3='000';
id3=PPPNUM;
sunique=syear||id1||id2||id3;

proc means;

proc freq;
tables adllim*iadllim*worklim;
tables tm8918 tm8920 tm8926;
tables funclim*worklim*notwork;
tables tm9024*funclim;
tables age*tm9024;
tables age*funclim;


data disab.adisab93;
set adults;
if (ppmis = 1);
keep PPID ROT PPENTRY PPPNUM TM9024 funclim sevlim modlim 
 plus2lim onelim adllim iadllim worklim adisab sunique;

run;
