log using c:\lara\papers\dynamic\child\duration\mar02\postERIU\any_trans.log,replace
# delimit;
version 8.0;
set mem 800m;
set more off;

*program to run models;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu96wb;
gen panel=1996;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress; 

save anytrans,replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu93wb;
gen panel=1993;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;
save anytrans, replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu92wb;
gen panel=1992;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;
save anytrans, replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu91wb;
gen panel=1991;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;
save anytrans, replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu90wb;
gen panel=1990;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;
save anytrans, replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu88wb;
gen panel=1988;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;
save anytrans, replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu87wb;
gen panel=1987;
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;
save anytrans, replace;
drop _all;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu86wb;
gen panel=1986;
drop if date<8601; /*get rid of dates missing phcemed*/
gen miss=(maxben==. | phcemed==. | numkids==0);
sort sunique date;
by sunique: egen evmiss=sum(miss);
drop if evmiss~=0;
by sunique: gen trans=(ins~=ins[_n-1]);
sum trans;
by sunique: replace trans=. if _n==1;
sum trans;
label var trans "=1 if insurance transition";
by sunique: gen gainins=(trans==1 & ins[_n-1]==1);
by sunique: replace gainins=. if _n==1;
by sunique: gen loseins=(trans==1 & ins==1);
by sunique: replace loseins=. if _n==1;
by sunique: gen anypub=((trans==1 & ins==2) | (trans==1 & ins[_n-1]==2));
by sunique: replace anypub=. if _n==1;
by sunique: gen losepub=(trans==1 & ins~=2 & ins[_n-1]==2);
by sunique: replace losepub=. if _n==1;
by sunique: gen gainpub=(trans==1 & ins==2 & ins[_n-1]~=2);
by sunique: replace gainpub=. if _n==1;
by sunique: gen losepriv=(trans==1 & ins~=3 & ins[_n-1]==3);
by sunique: replace losepriv=. if _n==1;
by sunique: gen gainpriv=(trans==1 & ins==3 & ins[_n-1]~=3);
by sunique: replace gainpriv=. if _n==1;

label var gainins "=1 if gained insurance";
label var loseins "=1 if lost insurance";
label var anypub "=1 if transition involve public insurance";
label var losepub "=1 if lost public insurance";
label var gainpub "=1 if gain public insurance";
label var losepriv "=1 if lost private insurance";
label var gainpriv "=1 if gain private insurance";
keep intmon medlev maxben /*carroti sticki*/ tanf maxeic /*eicphin*/ unempr minwage phcemed
 age male black othrace hispanic /*disab*/ /*immig*/ femhead othhead hdhgrad hddisab hdage
 /*hdempl oneearn twoearn*/ numkids sunique mnum /*welmonth*/ mwimp /*welfrint snum spell trtype*/
 ins /*weldur dur last last_sp wel_ins*/ year mpov panel state trans gainins loseins anypub 
 losepub gainpub losepriv gainpriv;
compress;
append using anytrans;

*get maxben as fraction of poverty line;
gen maxbenlev=(maxben/mpov)*100;

*get dummy for 4th month;
gen month4=(intmon==4);
gen month1=(intmon==1);
tab year, gen(yr);
replace yr14=1 if yr15==1 & yr14~=1;
drop yr15;
replace phcemed=phcemed/1000;
replace maxeic=maxeic/1000;
drop intmon maxben mpov;
gen agesq=age^2;
compress;
save anytrans, replace;

sort panel;
by panel: sum;

/*
logit trans medlev maxeic unempr minwage phcemed 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage using anytrans_logit, replace se nocons
 ctitle(Any transition);

logit trans medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf  
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf  
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage using anytrans_logit, se nocons
 ctitle(Any transition) append;

logit loseins medlev maxeic unempr minwage phcemed 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage using anytrans_logit, se nocons
 ctitle(Lose insurance) append;
logit loseins medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf  
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage using anytrans_logit, se nocons
 ctitle(Lose insurance) append;

logit anypub medlev maxeic unempr minwage phcemed 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed 
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage using anytrans_logit, se nocons
 ctitle(Trans. involving public) append;

logit anypub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage using anytrans_logit, se nocons
 ctitle(Trans. involving public) append;
*/
*&&&&;
regress trans medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids
 hdhgrad hddisab hdage yr* using anytrans_reg, replace se nocons bdec(4)
 ctitle(Any transition);

reg gainins medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Gain insurance) append;


reg loseins medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Lose insurance) append;

reg anypub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Trans. involving public) append;

reg gainpub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Gain public) append;


reg losepub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Lose public) append;

reg gainpriv medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Gain private) append;


reg losepriv medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_reg, se nocons bdec(4)
 ctitle(Lose private) append;

*state variables included;
tab state, gen(state);
regress trans medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids
 hdhgrad hddisab hdage yr* using anytrans_regs, replace se nocons bdec(4)
 ctitle(Any transition);

reg gainins medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Gain insurance) append;


reg loseins medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Lose insurance) append;

reg anypub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Trans. involving public) append;

reg gainpub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Gain public) append;

reg losepub medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Lose public) append;

reg gainpriv medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Gain private) append;

reg losepriv medlev maxeic unempr minwage phcemed 
 maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids  
 hdhgrad hddisab hdage month1 yr* state*, cluster(sunique);

outreg2 medlev maxeic unempr minwage phcemed maxbenlev mwimp tanf
 age agesq male black othrace hispanic femhead othhead numkids 
 hdhgrad hddisab hdage yr* using anytrans_regs, se nocons bdec(4)
 ctitle(Lose private) append;




