options linesize=80 nocenter pagesize=66;
*program immig86.sas: obtains immigrant status from 1986 topical module 2;
*Date: July 2003;

/* libname immig '~ldshore/disk2/immig'; */
libname immig '';
/* filename in1 PIPE 'gunzip -c /files2/ldshore/sipp/1986/da9319tm.recwave2.gz'; */
filename in1 'c:\SIPP_data\sipp86rt2.dat';

data one;
infile in1 lrecl=6889;

input
@6     PPID        9.
@38    STATE       2.
@43    HHADDI2     2.
@2011  PPMIS       1.
@2012  PPENTRY     2.
@2014  PPPNUM      3.
@2084  RRP         1.
@2152  ETHNICTY    2. 
@6783  TM8730      2.
@6785  TM8732      1.
@6786  TM8734      1.
;

*rename/recode immigrant variables;
country=tm8730;
if country=0 then country=.;

immig=tm8732;
if immig=2 then immig=0;
if tm8734=3 then immig=0;

noncit=immig;
if tm8734=1 then noncit=0;

*yrcame=tm8736;

*create ids that are same as for core data;
syear='86';
id1='000000000';
id1=ppid;
id2='00';
id2=ppentry;
id3='000';
id3=pppnum;
sunique=syear||id1||id2||id3;

data immig.immig86;
set one;
if (ppmis = 1);

drop tm8730 tm8732 tm8734 ppmis;

proc means;

proc freq;
tables country immig noncit;
tables immig*noncit;


