options linesize=80 nocenter pagesize=66;
*program immig88.sas: obtains immigrant status from 1988 topical module 2;
*Date: July 2003;

/* libname immig '~ldshore/disk2/immig'; */
libname immig '';
/* filename in1 PIPE 'gunzip -c /files2/ldshore/sipp/1988/da9568.recwave2.gz'; */
filename in1 'c:\SIPP_data\sipp88rt2.dat';

data one;
infile in1 lrecl=6900;

input
@6     PPID        9.
@38    STATE       2.
@43    HHADDI2     2.
@2049  PPMIS	   1.
@2050  PPENTRY     2.
@2052  PPPNUM      3.
@2123  RRP         1.
@2197  ETHNICTY    2. 
@6793  TM8730      2.
@6795  TM8732      1.
@6796  TM8734      1.
;

*rename/recode immigrant variables;
country=tm8730;
if country=0 then country=.;

immig=tm8732;
if immig=2 then immig=0;
if tm8734=3 then immig=0;

noncit=immig;
if tm8734=1 then noncit=0;

*yrcame=tm8736;

*create ids that are same as for core data;
syear='88';
id1='000000000';
id1=ppid;
id2='00';
id2=ppentry;
id3='000';
id3=pppnum;
sunique=syear||id1||id2||id3;

data immig.immig88;
set one;
if (ppmis = 1);

drop tm8730 tm8732 tm8734 ppmis;

proc means;

proc freq;
tables country immig noncit;
tables immig*noncit;


