options linesize=80 nocenter pagesize=66;
*program immig92.sas: obtains immigrant	status from 1992 topical module 2;
*Date: July 2003;

/* libname immig '~ldshore/disk2/immig'; */
libname immig '';
/* filename in1 PIPE 'gunzip -c ~ldshore/disk2/sipp/1992/da6429tm.wave2.gz'; */
filename in1 'c:\SIPP_data\sipp92t2.dat';

data one;
infile in1 lrecl=1053;

input
@6     PPID             9.
@16    STATE            2.
@20    HHADDI2          2.
@29    PPMIS		1.
@30    PPENTRY          2.
@32    PPPNUM           3.
@47    RRP              1.
@63    ETHNICTY         2. 
@973   TM8730        2.
@975   TM8732        1.
@976   TM8734        1.
;

*rename/recode immigrant variables;
country=tm8730;
if country=0 then country=.;

immig=tm8732;
if immig=2 then immig=0;
if tm8734=3 then immig=0;

noncit=immig;
if tm8734=1 then noncit=0;

*yrcame=tm8736;

*create ids that are same as for core data;
syear='92';
*special code for 92 - ppentry is 3 chars and pppmun is 4;
id1='000000000';
id1=ppid;
id2='000';
id2=ppentry;
id3='0000';
id3=pppnum;
sunique=syear||id1||id2||id3;

data immig.immig92;
set one;
if (ppmis = 1);

drop tm8730 tm8732 tm8734 ppmis;

proc means;

proc freq;
tables country immig noncit;
tables immig*noncit;


