log using c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\prepdata96.log,replace
# delimit;
set more off;
version 8.0;
*program to get just the variables needed for the models, and get them in a form
 that will be used in the regressions;
*need to start by getting the head data to be attached to the kids data;
*originally wanted to do highest earner, but head is easier;

set mem 1300m;
use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\small96;
keep mnum ppid hhaddi famid hgrad disab age relat empl;

gen hdhgrad=0;
replace hdhgrad=hgrad if relat==1;

gen hddisab=0;
replace hddisab=disab if relat==1;

gen hdage=0;
replace hdage=age if relat==1;

gen hdempl=0;
replace hdempl=empl if relat==1;

gen numearn=0;
replace numearn=1 if empl==1;

sum hdhgrad hddisab hdage hdempl numearn if relat==1;
*now collapse the data to get family-level;
collapse (sum) hdhgrad hddisab hdage hdempl numearn, by(mnum ppid hhaddi famid);
sum;

sort mnum ppid hhaddi famid;
save c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\headstuff96,replace;

*now use the main kids data;
drop _all;
set mem 800m;

use c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\newkids96;
*get rid of variables we definitely don't use, to save space;
drop smom ppinc ppearn esr job* bus* mcare foodst empl nilf
 garec othwrec persafdc genasst othwelf gaimp othwimp allwel need pay upst mn mmn mneed
 mpay cpstate meth predict abbrev gross md* yw*;

*merge on the head stuff;
sort mnum ppid hhaddi famid;
merge mnum ppid hhaddi famid using  
c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\headstuff96;
tab _merge;
*_merge=1, from kids only, should be none of these;
assert _merge~=1;
*_merge=2, fams without kids;
drop if _merge==2;
drop _merge;

*make sure have right mkreal;
sort date;
merge date using c:\lara\papers\Dynamic\other_data\mkreal1_4date, update replace;
tab _merge;
*_merge=1 from 1996 data, should be none of these;
assert _merge~=1;
*_merge=2 dates not in 1996 data;
tab date if _merge==2;
drop if _merge==2;
*_merge=3 ok, _merge=4 b/c data for new years in mkreal;
drop _merge;

*merge on EITC data;
*get filing status for EITC merge;
gen filestat=1 if (famstr==0 | famstr==4 | famstr==6 | famstr==7);
replace filestat=2 if (famstr==2 | famstr==5);
replace filestat=3 if (famstr==1 | famstr==3);

*get number of kids in filing unit for EITC merge;
gen numkid=(numkids+ochrefgd);
replace numkid=3 if numkid>3;

*get 4-digit year for EITC merge;
gen year4=year+1900 if year>80;
replace year4=year+2000 if year4==.;

sort year4 state filestat numkid;
merge year4 state filestat numkid using c:\lara\papers\dynamic\Other_data\eicdata;
tab _merge;
*_merge=1 from 1996 data only, should be none of these;
assert _merge~=1;
*_merge=2 from EITC data only, years and states not in 1996 SIPP;
tab year4 if _merge==2;
sum state if _merge==2;
drop if _merge==2;
drop _merge soi abbrev filestat numkid;

*merge on health expenditure data;
sort state year4;
merge state year4 using c:\lara\papers\dynamic\Other_data\health_expend1;
tab _merge;
*_merge=1 from 1996 data only, should be none of these;
assert _merge~=1;
*_merge=2 from health data only, years and states not in 1996 SIPP;
tab year4 if _merge==2;
sum state if _merge==2;
drop if _merge==2;
drop _merge abbrev cpstate soi sname drugsall hospall physall perhospall perdrugsall perphysall;

*merge with ben11;
drop maxben;
sort year state afdcsize;
merge year state afdcsize using c:\lara\papers\Dynamic\other_data\ben11,update;
tab _merge;
*_merge=1 from 1996 data only, missing afdcsize;
tab afdcsize if _merge==1, missing;
*_merge=2 from ben11 data only, years and states not in 1996 SIPP;
drop if _merge==2;
drop _merge abbrev cpstate sname predict need pay upst mn mmn mneed mpay meth;
replace mpov=povlineg/12;

*get the variables we need for the models in the form we need;
/*POLICY variables are medlev (Medicaid/SCHIP eligibility rules, as % of poverty line),*/
/*maxben (AFDC/TANF maximum benefit), carroti ("carrot" wavier implemented pre-TANF),*/
/*sticki ("stick" waiver implemented pre-TANF), tanf (dummy for TANF implemented),*/
/*maxeic (maximum EIC), eicphin (EIC initial phase-in rate)*/

sum afdcth medlev;
replace medlev=afdcth if medlev==0 & afdcth~=.;

/*ECONOMIC conditions variables are unempr (state-level unemployment rate), minwage*/
/*(state-level minimum wage)*/

*make sure have right unemployment rate and minimum wage data;
sort state year month;
merge state year month using c:\lara\papers\Dynamic\other_data\min_une5,update replace;
tab _merge;
*_merge=1 from 1996 data, should be none of these;
assert _merge~=1;
*_merge=2 from other years, small states;
tab year smstate if _merge==2;
drop if _merge==2;
*_merge=3 ok, _merge=4 and 5 b/c new data in min_une5;
drop _merge abbrev smstate;

/*HEALTH market conditions variable is phcemed (Medicare expenditures on */
/*personal health care per enrollee in dollars)*/

/*DEMOGRAPHIC variables are age, male, black, othrace, hispanic, disab, immig, */
/*femhead (family is female-headed), othhead (family is neither female-headed nor 2-parent),*/
/*hdhgrad, hddisab, hdage, hdempl, oneearn, twoearn, numkids*/

gen male=(sex==1);
gen othrace=(race==3 | race==4);
gen oneearn=(numearn==1);
gen twoearn=(numearn>=2 & numearn~=.);

keep mnum priv mcaid first last ins trtype spell snum dur last_sp inscens sunique afdc 
 welfrint welcens welmonth weldur wel_ins rot ppid ppentry pppnum hhaddi famid birthday
 relat date state year4 fnlwt96 mpov mkreal intmon 
 medlev maxben carroti sticki mwimp tanf maxeic eicphin unempr minwage phcemed
 age male black othrace hispanic disab immig femhead othhead hdhgrad hddisab hdempl
 hdage oneearn twoearn numkids;

*identify the kids who have both Medicaid and private in any month, and drop all of 
 their observations;
gen both=(priv==1 & mcaid==1);
sum both;
tab priv mcaid;
sort sunique;
by sunique: egen anyboth=sum(both);
tab anyboth;
drop if anyboth>0;
drop anyboth both;

gen weight=fnlwt96;
drop fnlwt96;

compress;
aorder;
d;
sum;
save c:\lara\papers\dynamic\child\duration\mar02\ERIU\kids\keriu96,replace;
